• B правой части каждого сообщения есть стрелки и . Не стесняйтесь оценивать ответы. Чтобы автору вопроса закрыть свой тикет, надо выбрать лучший ответ. Просто нажмите значок в правой части сообщения.

  • Курсы Академии Кодебай, стартующие в мае - июне, от команды The Codeby

    1. Цифровая криминалистика и реагирование на инциденты
    2. ОС Linux (DFIR) Старт: 16 мая
    3. Анализ фишинговых атак Старт: 16 мая Устройства для тестирования на проникновение Старт: 16 мая

    Скидки до 10%

    Полный список ближайших курсов ...

Не работает Центр приложений Kali linux 2020.1

leqs091

Member
16.09.2019
5
0
BIT
1
Добрый день, после обновления kali linux до актуальной версии 2020.1 (обновлялся с 2019.х) перестал работать "Центр приложений". При запуске пишет приложения не найдены.
версия
VERSION="2020.1"
VERSION_ID="2020.1"
VERSION_CODENAME="kali-rolling"

в сорсах только:
deb kali-rolling main non-free contrib

обновлялся по офиц гайду, командами:

Обновить вашу версию Kali:
kali@kali:~$ sudo apt update && sudo apt -y full-upgrade
kali@kali:~$ [ -f /var/run/reboot-required ] && sudo reboot -f


gnome тоже обновил до послед версии.

Кто сталкивался, какое может быть решение? Спасибо.
 

Вложения

  • Снимок экрана от 2020-02-07 00-00-22.png
    Снимок экрана от 2020-02-07 00-00-22.png
    11,5 КБ · Просмотры: 1 252

f22

Codeby Academy
Gold Team
05.05.2019
1 844
225
BIT
1 121
Добрый день, после обновления kali linux до актуальной версии 2020.1 (обновлялся с 2019.х) перестал работать "Центр приложений". При запуске пишет приложения не найдены.
версия
VERSION="2020.1"
VERSION_ID="2020.1"
VERSION_CODENAME="kali-rolling"

в сорсах только:
deb kali-rolling main non-free contrib

обновлялся по офиц гайду, командами:

Обновить вашу версию Kali:
kali@kali:~$ sudo apt update && sudo apt -y full-upgrade
kali@kali:~$ [ -f /var/run/reboot-required ] && sudo reboot -f


gnome тоже обновил до послед версии.

Кто сталкивался, какое может быть решение? Спасибо.
Добавь в /etc/apt/sources.list
deb http://http.kali.org/ /kali main contrib non-free
deb http://http.kali.org/ /wheezy main contrib non-free

Потом обнови и запусти установку заново:
apt-get update
apt-get upgrade -y
apt-get install software-center

Если последнее не поможет, пробуй
apt-get purge -y software-center
apt-get install -y software-center
 

leqs091

Member
16.09.2019
5
0
BIT
1
Добавь в /etc/apt/sources.list
deb http://http.kali.org/ /kali main contrib non-free
deb http://http.kali.org/ /wheezy main contrib non-free

Потом обнови и запусти установку заново:
apt-get update
apt-get upgrade -y
apt-get install software-center

Если последнее не поможет, пробуй
apt-get purge -y software-center
apt-get install -y software-center
выполнил
apt-get update
Сущ:1 http://repo.yandex.ru/yandex-browser/deb beta InRelease Сущ:3 https://deb.torproject.org/torproject.org stretch InRelease Сущ:2 http://mirror-1.truenetwork.ru/kali kali-rolling InRelease Игн:4 http://http.kali.org /kali InRelease Игн:5 http://http.kali.org /wheezy InRelease Ошб:6 http://http.kali.org /kali Release 404 Not Found [IP: 192.99.200.113 80] Ошб:7 http://http.kali.org /wheezy Release 404 Not Found [IP: 192.99.200.113 80] Чтение списков пакетов… Готово E: Репозиторий «http://http.kali.org /kali Release» не содержит файла Release. N: Обновление из этого репозитория нельзя выполнить безопасным способом, поэтому по умолчанию он отключён. N: Информацию о создании репозитория и настройках пользователя смотрите в справочной странице apt-secure(8). E: Репозиторий «http://http.kali.org /wheezy Release» не содержит файла Release. N: Обновление из этого репозитория нельзя выполнить безопасным способом, поэтому по умолчанию он отключён. N: Информацию о создании репозитория и настройках пользователя смотрите в справочной странице apt-secure(8).


странно почему 404 возвращает, данные хосты пингуются

ping 192.99.200.113
PING 192.99.200.113 (192.99.200.113) 56(84) bytes of data.
64 bytes from 192.99.200.113: icmp_seq=1 ttl=50 time=195 ms
64 bytes from 192.99.200.113: icmp_seq=2 ttl=50 time=196 ms


apt-get purge -y software-center
Чтение списков пакетов… Готово Построение дерева зависимостей Чтение информации о состоянии… Готово Пакет «software-center» не установлен, поэтому не может быть удалён Следующие пакеты устанавливались автоматически и больше не требуются: coinor-libcbc3 coinor-libcgl1 coinor-libclp1 coinor-libcoinmp1v5 coinor-libcoinutils3v5 coinor-libosi1v5 creddump cython dh-python enchant endless-sky-data findmyhash ghost-phisher gir1.2-clutter-gst-3.0 gir1.2-mutter-3 gnome-theme-kali hddtemp hexorbase kactivities-bin kactivitymanagerd leafpad libadns1 libayatana-ido3-0.4-0 libbfio1 libboost-random1.67.0 libboost-regex1.67.0 libbrlapi0.6 libcodec2-0.8.1 libdleyna-core-1.0-3 libdns1104 libdvdread4 libebook-contacts-1.2-2 libecal-1.2-19 libedataserver-1.2-23 libenchant1c2a libevent-core-2.1-6 libevent-openssl-2.1-6 libevent-pthreads-2.1-6 libexo-1-0 libfluidsynth1 libgeos-3.7.2 libgit2-27 libglade2-0 libgnome-desktop-3-17 libgspell-1-1 libgssdp-1.0-3 libgssglue1 libgtkmm-2.4-1v5 libgupnp-1.0-4 libgweather-3-15 libhavege1 libhwloc5 libigdgmm9 libilmbase23 libisc1100 libisl19 libjim0.77 libkeybinder-3.0-0 libkf5activities5 libkf5auth5 liblinear3 liblivemedia64 liblouis17 libmutter-3-0 libnfs12 libomp5-7 libopenexr23 libphobos2-ldc-shared82 libpotrace0 libproj13 libqscintilla2-qt4-13 libqscintilla2-qt4-l10n libqscintilla2-qt5-13 libradare2-3.2 libreadline7 libsnmp30 libtagc0 libtss2-udev libunique-1.0-0 libusbmuxd4 libvpx5 libwireshark12 libwiretap9 libwscodecs2 libwsutil10 libwxgtk3.0-0v5 libx265-165 libx265-176 libxcb-xf86dri0 libxdo3 libxdot4 libxfce4ui-utils maltego-teeth miranda nfspy python-adns python-alembic python-attr python-autobahn python-automat python-babel python-backports-abc python-bcrypt python-blinker python-bottle python-cbor python-chameleon python-click python-concurrent.futures python-constantly python-crypto python-cssselect python-dateutil python-deprecation python-django python-dns python-dnslib python-easygui python-editor python-egenix-mxdatetime python-egenix-mxtools python-elixir python-faraday python-filedepot python-flask python-flask-babelex python-flask-classful python-flask-login python-flask-mail python-flask-principal python-flask-restless python-flask-security python-flask-session python-flask-sqlalchemy python-flaskext.wtf python-formencode python-fuse python-glade2 python-gpg python-hupper python-hyperlink python-impacket python-incremental python-ipy python-itsdangerous python-jinja2 python-jsonpickle python-ldap3 python-ldapdomaindump python-levenshtein python-lz4 python-m2crypto python-magic python-mako python-markupsafe python-marshmallow python-marshmallow-sqlalchemy python-mechanize python-metaconfig python-mimeparse python-mimerender python-msgpack python-mysqldb python-nacl python-nplusone python-openid python-packaging python-paramiko python-passlib python-paste python-pefile python-plaster python-png python-prettytable python-psycopg2 python-pyasn1 python-pyasn1-modules python-pycryptodome python-pydot python-pyinotify python-pymssql python-pyparsing python-pyqrcode python-pyqt5 python-pyquery python-qrcode python-qscintilla2 python-qt4 python-repoze.lru python-scapy python-scgi python-selenium python-service-identity python-simplejson python-singledispatch python-sip python-slugify python-snappy python-speaklater python-sqlalchemy python-sqlalchemy-ext python-sqlalchemy-schemadisplay python-sqlparse python-talloc python-tempita python-tornado python-tqdm python-translationstring python-trie python-trollius python-twisted python-twisted-bin python-twisted-core python-twisted-web python-txaio python-typing python-u-msgpack python-ubjson python-unidecode python-venusian python-waitress python-webob python-websocket python-werkzeug python-wsaccel python-wtforms python-yaml python-zope.component python-zope.deprecation python-zope.event python-zope.hookable python-zope.interface sparta sslcaudit sslstrip thunar thunar-archive-plugin thunar-media-tags-plugin thunar-volman tpm2-abrmd tpm2-tools x11-session-utils xdotool xfburn xfce4-appfinder xfce4-battery-plugin xfce4-clipman xfce4-clipman-plugin xfce4-cpufreq-plugin xfce4-cpugraph-plugin xfce4-datetime-plugin xfce4-dict xfce4-diskperf-plugin xfce4-fsguard-plugin xfce4-genmon-plugin xfce4-mailwatch-plugin xfce4-netload-plugin xfce4-notes xfce4-notes-plugin xfce4-panel xfce4-power-manager xfce4-power-manager-data xfce4-power-manager-plugins xfce4-pulseaudio-plugin xfce4-screenshooter xfce4-sensors-plugin xfce4-smartbookmark-plugin xfce4-systemload-plugin xfce4-taskmanager xfce4-timer-plugin xfce4-verve-plugin xfce4-wavelan-plugin xfce4-weather-plugin xfce4-whiskermenu-plugin xfce4-xkb-plugin xinit xorg Для их удаления используйте «apt autoremove». Обновлено 0 пакетов, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 2 пакетов не обновлено.
 

leqs091

Member
16.09.2019
5
0
BIT
1
провайдер точно не блокирует данные ip сайт открывается, ip пинугются. Тачка не вируталка, ноут, на точке wi-fi firewall не блокирует.
 

Вложения

  • Снимок экрана от 2020-02-07 01-13-03.png
    Снимок экрана от 2020-02-07 01-13-03.png
    64,2 КБ · Просмотры: 439

mcfly

Green Team
08.09.2016
620
625
BIT
286
nano /etc/apt/sources.list
и добавь только эти репы кроме последней





потом. apt-get update
apt-get upgrade

если не помогло сноси нахрен и ставь заново 2020.1 Подругому никак.
 
Последнее редактирование:

leqs091

Member
16.09.2019
5
0
BIT
1
этой командной ты его удалил, теперь надо заново установить
apt-get install -y software-center
не удалил) Пакет «software-center» не установлен, поэтому не может быть удалён
странное поведение потому, что после попытки удалить, он по прежнему запускался, даже после перезагрузки, но install заново сделать не давал, т.к типа установлена версия...

Прободался целый вечер короче с этой ерундой, плюнул и переставил кали заново с образа + плюс юзаю теперь xfce лесом этот плэймаркет)
Всем спасибо кто помогал, советы дельные, но видимо руки мне еще надо выпрямлять!
 

Rey Bueno

New member
17.08.2021
1
0
BIT
0
Вобщем вся суть в том что залочен и сайт и все попытки обновить KALI по сакнкциям! Как и впн и все остальное (голову ломал) впн вставить чтобы вссе решить но увы все через инет так что пришлось удалить и забыть пока не найду себе впн!
 
Мы в соцсетях:

Обучение наступательной кибербезопасности в игровой форме. Начать игру!